<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
    <!-- Generated by javadoc -->
    <title>BaseFormulaEvaluator (POI API Documentation)</title>
    <link rel="stylesheet" type="text/css" href="../../../../../stylesheet.css" title="Style">
    <script type="text/javascript" src="../../../../../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="BaseFormulaEvaluator (POI API Documentation)";
        }
    }
    catch(err) {
    }
//-->
var methods = {"i0":10,"i1":10,"i2":6,"i3":10,"i4":9,"i5":9,"i6":10,"i7":42,"i8":6,"i9":10,"i10":10,"i11":10,"i12":10,"i13":10,"i14":10,"i15":10,"i16":9,"i17":10};
var tabs = {65535:["t0","All Methods"],1:["t1","Static Methods"],2:["t2","Instance Methods"],4:["t3","Abstract Methods"],8:["t4","Concrete Methods"],32:["t6","Deprecated Methods"]};
var altColor = "altColor";
var rowColor = "rowColor";
var tableTab = "tableTab";
var activeTableTab = "activeTableTab";

</script>
<noscript>
    <div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
    <!--   -->
</a>
    <div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
    <a name="navbar.top.firstrow">
        <!--   -->
    </a>
    <ul class="navList" title="Navigation">
        <li><a href="../../../../../overview-summary.html">Overview</a></li>
        <li><a href="package-summary.html">Package</a></li>
        <li class="navBarCell1Rev">Class</li>
        <li><a href="class-use/BaseFormulaEvaluator.html">Use</a></li>
        <li><a href="package-tree.html">Tree</a></li>
        <li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
        <li><a href="../../../../../index-all.html">Index</a></li>
        <li><a href="../../../../../help-doc.html">Help</a></li>
    </ul>
</div>
<div class="subNav">
    <ul class="navList">
        <li>Prev&nbsp;Class</li>
        <li><a href="../../../../../org/apache/poi/ss/formula/CacheAreaEval.html"
               title="class in org.apache.poi.ss.formula"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
    </ul>
    <ul class="navList">
        <li><a href="../../../../../index.html?org/apache/poi/ss/formula/BaseFormulaEvaluator.html"
               target="_top">Frames</a></li>
        <li><a href="BaseFormulaEvaluator.html" target="_top">No&nbsp;Frames</a></li>
    </ul>
    <ul class="navList" id="allclasses_navbar_top">
        <li><a href="../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
    </ul>
    <div>
        <script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->

        </script>
    </div>
    <div>
        <ul class="subNavList">
            <li>Summary:&nbsp;</li>
            <li>Nested&nbsp;|&nbsp;</li>
            <li><a href="#field.summary">Field</a>&nbsp;|&nbsp;</li>
            <li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
            <li><a href="#method.summary">Method</a></li>
        </ul>
        <ul class="subNavList">
            <li>Detail:&nbsp;</li>
            <li><a href="#field.detail">Field</a>&nbsp;|&nbsp;</li>
            <li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
            <li><a href="#method.detail">Method</a></li>
        </ul>
    </div>
    <a name="skip.navbar.top">
        <!--   -->
    </a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
    <div class="subTitle">org.apache.poi.ss.formula</div>
    <h2 title="Class BaseFormulaEvaluator" class="title">Class BaseFormulaEvaluator</h2>
</div>
<div class="contentContainer">
    <ul class="inheritance">
        <li>java.lang.Object</li>
        <li>
            <ul class="inheritance">
                <li>org.apache.poi.ss.formula.BaseFormulaEvaluator</li>
            </ul>
        </li>
    </ul>
    <div class="description">
        <ul class="blockList">
            <li class="blockList">
                <dl>
                    <dt>All Implemented Interfaces:</dt>
                    <dd><a href="../../../../../org/apache/poi/ss/formula/WorkbookEvaluatorProvider.html"
                           title="interface in org.apache.poi.ss.formula">WorkbookEvaluatorProvider</a>, <a
                            href="../../../../../org/apache/poi/ss/usermodel/FormulaEvaluator.html"
                            title="interface in org.apache.poi.ss.usermodel">FormulaEvaluator</a></dd>
                </dl>
                <dl>
                    <dt>Direct Known Subclasses:</dt>
                    <dd><a href="../../../../../org/apache/poi/xssf/usermodel/BaseXSSFFormulaEvaluator.html"
                           title="class in org.apache.poi.xssf.usermodel">BaseXSSFFormulaEvaluator</a>, <a
                            href="../../../../../org/apache/poi/hssf/usermodel/HSSFFormulaEvaluator.html"
                            title="class in org.apache.poi.hssf.usermodel">HSSFFormulaEvaluator</a></dd>
                </dl>
                <hr>
                <br>
                <pre>public abstract class <span class="typeNameLabel">BaseFormulaEvaluator</span>
extends java.lang.Object
implements <a href="../../../../../org/apache/poi/ss/usermodel/FormulaEvaluator.html"
              title="interface in org.apache.poi.ss.usermodel">FormulaEvaluator</a>, <a
                            href="../../../../../org/apache/poi/ss/formula/WorkbookEvaluatorProvider.html"
                            title="interface in org.apache.poi.ss.formula">WorkbookEvaluatorProvider</a></pre>
                <div class="block">Common functionality across file formats for evaluating formula cells.<p></div>
            </li>
        </ul>
    </div>
    <div class="summary">
        <ul class="blockList">
            <li class="blockList">
                <!-- =========== FIELD SUMMARY =========== -->
                <ul class="blockList">
                    <li class="blockList"><a name="field.summary">
                        <!--   -->
                    </a>
                        <h3>Field Summary</h3>
                        <table class="memberSummary" border="0" cellpadding="3" cellspacing="0"
                               summary="Field Summary table, listing fields, and an explanation">
                            <caption><span>Fields</span><span class="tabEnd">&nbsp;</span></caption>
                            <tr>
                                <th class="colFirst" scope="col">Modifier and Type</th>
                                <th class="colLast" scope="col">Field and Description</th>
                            </tr>
                            <tr class="altColor">
                                <td class="colFirst"><code>protected <a
                                        href="../../../../../org/apache/poi/ss/formula/WorkbookEvaluator.html"
                                        title="class in org.apache.poi.ss.formula">WorkbookEvaluator</a></code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/ss/formula/BaseFormulaEvaluator.html#Z:Z_bookEvaluator">_bookEvaluator</a></span></code>&nbsp;
                                </td>
                            </tr>
                        </table>
                    </li>
                </ul>
                <!-- ======== CONSTRUCTOR SUMMARY ======== -->
                <ul class="blockList">
                    <li class="blockList"><a name="constructor.summary">
                        <!--   -->
                    </a>
                        <h3>Constructor Summary</h3>
                        <table class="memberSummary" border="0" cellpadding="3" cellspacing="0"
                               summary="Constructor Summary table, listing constructors, and an explanation">
                            <caption><span>Constructors</span><span class="tabEnd">&nbsp;</span></caption>
                            <tr>
                                <th class="colFirst" scope="col">Modifier</th>
                                <th class="colLast" scope="col">Constructor and Description</th>
                            </tr>
                            <tr class="altColor">
                                <td class="colFirst"><code>protected </code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/ss/formula/BaseFormulaEvaluator.html#BaseFormulaEvaluator-org.apache.poi.ss.formula.WorkbookEvaluator-">BaseFormulaEvaluator</a></span>(<a
                                        href="../../../../../org/apache/poi/ss/formula/WorkbookEvaluator.html"
                                        title="class in org.apache.poi.ss.formula">WorkbookEvaluator</a>&nbsp;bookEvaluator)</code>&nbsp;
                                </td>
                            </tr>
                        </table>
                    </li>
                </ul>
                <!-- ========== METHOD SUMMARY =========== -->
                <ul class="blockList">
                    <li class="blockList"><a name="method.summary">
                        <!--   -->
                    </a>
                        <h3>Method Summary</h3>
                        <table class="memberSummary" border="0" cellpadding="3" cellspacing="0"
                               summary="Method Summary table, listing methods, and an explanation">
                            <caption><span id="t0" class="activeTableTab"><span>All Methods</span><span class="tabEnd">&nbsp;</span></span><span
                                    id="t1" class="tableTab"><span><a
                                    href="javascript:show(1);">Static Methods</a></span><span
                                    class="tabEnd">&nbsp;</span></span><span id="t2" class="tableTab"><span><a
                                    href="javascript:show(2);">Instance Methods</a></span><span
                                    class="tabEnd">&nbsp;</span></span><span id="t3" class="tableTab"><span><a
                                    href="javascript:show(4);">Abstract Methods</a></span><span
                                    class="tabEnd">&nbsp;</span></span><span id="t4" class="tableTab"><span><a
                                    href="javascript:show(8);">Concrete Methods</a></span><span
                                    class="tabEnd">&nbsp;</span></span><span id="t6" class="tableTab"><span><a
                                    href="javascript:show(32);">Deprecated Methods</a></span><span
                                    class="tabEnd">&nbsp;</span></span></caption>
                            <tr>
                                <th class="colFirst" scope="col">Modifier and Type</th>
                                <th class="colLast" scope="col">Method and Description</th>
                            </tr>
                            <tr id="i0" class="altColor">
                                <td class="colFirst"><code><a
                                        href="../../../../../org/apache/poi/ss/formula/WorkbookEvaluator.html"
                                        title="class in org.apache.poi.ss.formula">WorkbookEvaluator</a></code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/ss/formula/BaseFormulaEvaluator.html#Z:Z_getWorkbookEvaluator--">_getWorkbookEvaluator</a></span>()</code>
                                    <div class="block">Provide the underlying WorkbookEvaluator</div>
                                </td>
                            </tr>
                            <tr id="i1" class="rowColor">
                                <td class="colFirst"><code>void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/ss/formula/BaseFormulaEvaluator.html#clearAllCachedResultValues--">clearAllCachedResultValues</a></span>()</code>
                                    <div class="block">Should be called whenever there are major changes (e.g.</div>
                                </td>
                            </tr>
                            <tr id="i2" class="altColor">
                                <td class="colFirst"><code>protected abstract <a
                                        href="../../../../../org/apache/poi/ss/usermodel/RichTextString.html"
                                        title="interface in org.apache.poi.ss.usermodel">RichTextString</a></code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/ss/formula/BaseFormulaEvaluator.html#createRichTextString-java.lang.String-">createRichTextString</a></span>(java.lang.String&nbsp;str)</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i3" class="rowColor">
                                <td class="colFirst"><code><a
                                        href="../../../../../org/apache/poi/ss/usermodel/CellValue.html"
                                        title="class in org.apache.poi.ss.usermodel">CellValue</a></code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/ss/formula/BaseFormulaEvaluator.html#evaluate-org.apache.poi.ss.usermodel.Cell-">evaluate</a></span>(<a
                                        href="../../../../../org/apache/poi/ss/usermodel/Cell.html"
                                        title="interface in org.apache.poi.ss.usermodel">Cell</a>&nbsp;cell)</code>
                                    <div class="block">If cell contains a formula, the formula is evaluated and
                                        returned,
                                        else the CellValue simply copies the appropriate cell value from
                                        the cell and also its cell type.
                                    </div>
                                </td>
                            </tr>
                            <tr id="i4" class="altColor">
                                <td class="colFirst"><code>static void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/ss/formula/BaseFormulaEvaluator.html#evaluateAllFormulaCells-org.apache.poi.ss.usermodel.Workbook-">evaluateAllFormulaCells</a></span>(<a
                                        href="../../../../../org/apache/poi/ss/usermodel/Workbook.html"
                                        title="interface in org.apache.poi.ss.usermodel">Workbook</a>&nbsp;wb)</code>
                                    <div class="block">Loops over all cells in all sheets of the supplied
                                        workbook.
                                    </div>
                                </td>
                            </tr>
                            <tr id="i5" class="rowColor">
                                <td class="colFirst"><code>protected static void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/ss/formula/BaseFormulaEvaluator.html#evaluateAllFormulaCells-org.apache.poi.ss.usermodel.Workbook-org.apache.poi.ss.usermodel.FormulaEvaluator-">evaluateAllFormulaCells</a></span>(<a
                                        href="../../../../../org/apache/poi/ss/usermodel/Workbook.html"
                                        title="interface in org.apache.poi.ss.usermodel">Workbook</a>&nbsp;wb,
                                    <a href="../../../../../org/apache/poi/ss/usermodel/FormulaEvaluator.html"
                                       title="interface in org.apache.poi.ss.usermodel">FormulaEvaluator</a>&nbsp;evaluator)</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i6" class="altColor">
                                <td class="colFirst"><code><a
                                        href="../../../../../org/apache/poi/ss/usermodel/CellType.html"
                                        title="enum in org.apache.poi.ss.usermodel">CellType</a></code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/ss/formula/BaseFormulaEvaluator.html#evaluateFormulaCell-org.apache.poi.ss.usermodel.Cell-">evaluateFormulaCell</a></span>(<a
                                        href="../../../../../org/apache/poi/ss/usermodel/Cell.html"
                                        title="interface in org.apache.poi.ss.usermodel">Cell</a>&nbsp;cell)</code>
                                    <div class="block">If cell contains formula, it evaluates the formula,
                                        and saves the result of the formula.
                                    </div>
                                </td>
                            </tr>
                            <tr id="i7" class="rowColor">
                                <td class="colFirst"><code><a
                                        href="../../../../../org/apache/poi/ss/usermodel/CellType.html"
                                        title="enum in org.apache.poi.ss.usermodel">CellType</a></code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/ss/formula/BaseFormulaEvaluator.html#evaluateFormulaCellEnum-org.apache.poi.ss.usermodel.Cell-">evaluateFormulaCellEnum</a></span>(<a
                                        href="../../../../../org/apache/poi/ss/usermodel/Cell.html"
                                        title="interface in org.apache.poi.ss.usermodel">Cell</a>&nbsp;cell)</code>
                                    <div class="block"><span class="deprecatedLabel">Deprecated.</span>&nbsp;
                                        <div class="block"><span class="deprecationComment">use <code>evaluateFormulaCell(cell)</code> instead</span>
                                        </div>
                                    </div>
                                </td>
                            </tr>
                            <tr id="i8" class="altColor">
                                <td class="colFirst"><code>protected abstract <a
                                        href="../../../../../org/apache/poi/ss/usermodel/CellValue.html"
                                        title="class in org.apache.poi.ss.usermodel">CellValue</a></code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/ss/formula/BaseFormulaEvaluator.html#evaluateFormulaCellValue-org.apache.poi.ss.usermodel.Cell-">evaluateFormulaCellValue</a></span>(<a
                                        href="../../../../../org/apache/poi/ss/usermodel/Cell.html"
                                        title="interface in org.apache.poi.ss.usermodel">Cell</a>&nbsp;cell)</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i9" class="rowColor">
                                <td class="colFirst"><code><a
                                        href="../../../../../org/apache/poi/ss/usermodel/Cell.html"
                                        title="interface in org.apache.poi.ss.usermodel">Cell</a></code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/ss/formula/BaseFormulaEvaluator.html#evaluateInCell-org.apache.poi.ss.usermodel.Cell-">evaluateInCell</a></span>(<a
                                        href="../../../../../org/apache/poi/ss/usermodel/Cell.html"
                                        title="interface in org.apache.poi.ss.usermodel">Cell</a>&nbsp;cell)</code>
                                    <div class="block">If cell contains formula, it evaluates the formula, and
                                        puts the formula result back into the cell, in place
                                        of the old formula.
                                    </div>
                                </td>
                            </tr>
                            <tr id="i10" class="altColor">
                                <td class="colFirst"><code>protected <a
                                        href="../../../../../org/apache/poi/ss/formula/EvaluationWorkbook.html"
                                        title="interface in org.apache.poi.ss.formula">EvaluationWorkbook</a></code>
                                </td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/ss/formula/BaseFormulaEvaluator.html#getEvaluationWorkbook--">getEvaluationWorkbook</a></span>()</code>
                                    <div class="block">internal use</div>
                                </td>
                            </tr>
                            <tr id="i11" class="rowColor">
                                <td class="colFirst"><code>protected void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/ss/formula/BaseFormulaEvaluator.html#setCellType-org.apache.poi.ss.usermodel.Cell-org.apache.poi.ss.usermodel.CellType-">setCellType</a></span>(<a
                                        href="../../../../../org/apache/poi/ss/usermodel/Cell.html"
                                        title="interface in org.apache.poi.ss.usermodel">Cell</a>&nbsp;cell,
                                    <a href="../../../../../org/apache/poi/ss/usermodel/CellType.html"
                                       title="enum in org.apache.poi.ss.usermodel">CellType</a>&nbsp;cellType)</code>
                                    <div class="block">Override if a different variation is needed, e.g.</div>
                                </td>
                            </tr>
                            <tr id="i12" class="altColor">
                                <td class="colFirst"><code>protected void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/ss/formula/BaseFormulaEvaluator.html#setCellType-org.apache.poi.ss.usermodel.Cell-org.apache.poi.ss.usermodel.CellValue-">setCellType</a></span>(<a
                                        href="../../../../../org/apache/poi/ss/usermodel/Cell.html"
                                        title="interface in org.apache.poi.ss.usermodel">Cell</a>&nbsp;cell,
                                    <a href="../../../../../org/apache/poi/ss/usermodel/CellValue.html"
                                       title="class in org.apache.poi.ss.usermodel">CellValue</a>&nbsp;cv)</code>
                                    <div class="block">set the cell type</div>
                                </td>
                            </tr>
                            <tr id="i13" class="rowColor">
                                <td class="colFirst"><code>protected void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/ss/formula/BaseFormulaEvaluator.html#setCellValue-org.apache.poi.ss.usermodel.Cell-org.apache.poi.ss.usermodel.CellValue-">setCellValue</a></span>(<a
                                        href="../../../../../org/apache/poi/ss/usermodel/Cell.html"
                                        title="interface in org.apache.poi.ss.usermodel">Cell</a>&nbsp;cell,
                                    <a href="../../../../../org/apache/poi/ss/usermodel/CellValue.html"
                                       title="class in org.apache.poi.ss.usermodel">CellValue</a>&nbsp;cv)</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i14" class="altColor">
                                <td class="colFirst"><code>void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/ss/formula/BaseFormulaEvaluator.html#setDebugEvaluationOutputForNextEval-boolean-">setDebugEvaluationOutputForNextEval</a></span>(boolean&nbsp;value)</code>
                                    <div class="block">Perform detailed output of formula evaluation for next evaluation
                                        only?
                                        Is for developer use only (also developers using POI for their XLS files).
                                    </div>
                                </td>
                            </tr>
                            <tr id="i15" class="rowColor">
                                <td class="colFirst"><code>void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/ss/formula/BaseFormulaEvaluator.html#setIgnoreMissingWorkbooks-boolean-">setIgnoreMissingWorkbooks</a></span>(boolean&nbsp;ignore)</code>
                                    <div class="block">Whether to ignore missing references to external workbooks and
                                        use cached formula results in the main workbook instead.
                                    </div>
                                </td>
                            </tr>
                            <tr id="i16" class="altColor">
                                <td class="colFirst"><code>static void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/ss/formula/BaseFormulaEvaluator.html#setupEnvironment-java.lang.String:A-org.apache.poi.ss.formula.BaseFormulaEvaluator:A-">setupEnvironment</a></span>(java.lang.String[]&nbsp;workbookNames,
                                    <a href="../../../../../org/apache/poi/ss/formula/BaseFormulaEvaluator.html"
                                       title="class in org.apache.poi.ss.formula">BaseFormulaEvaluator</a>[]&nbsp;evaluators)</code>
                                    <div class="block">Coordinates several formula evaluators together so that formulas
                                        that involve external
                                        references can be evaluated.
                                    </div>
                                </td>
                            </tr>
                            <tr id="i17" class="rowColor">
                                <td class="colFirst"><code>void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/ss/formula/BaseFormulaEvaluator.html#setupReferencedWorkbooks-java.util.Map-">setupReferencedWorkbooks</a></span>(java.util.Map&lt;java.lang.String,<a
                                        href="../../../../../org/apache/poi/ss/usermodel/FormulaEvaluator.html"
                                        title="interface in org.apache.poi.ss.usermodel">FormulaEvaluator</a>&gt;&nbsp;evaluators)</code>
                                    <div class="block">Sets up the Formula Evaluator to be able to reference and resolve
                                        links to other workbooks, eg [Test.xls]Sheet1!A1.
                                    </div>
                                </td>
                            </tr>
                        </table>
                        <ul class="blockList">
                            <li class="blockList"><a name="methods.inherited.from.class.java.lang.Object">
                                <!--   -->
                            </a>
                                <h3>Methods inherited from class&nbsp;java.lang.Object</h3>
                                <code>clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait,
                                    wait, wait</code></li>
                        </ul>
                        <ul class="blockList">
                            <li class="blockList"><a
                                    name="methods.inherited.from.class.org.apache.poi.ss.usermodel.FormulaEvaluator">
                                <!--   -->
                            </a>
                                <h3>Methods inherited from interface&nbsp;org.apache.poi.ss.usermodel.<a
                                        href="../../../../../org/apache/poi/ss/usermodel/FormulaEvaluator.html"
                                        title="interface in org.apache.poi.ss.usermodel">FormulaEvaluator</a></h3>
                                <code><a
                                        href="../../../../../org/apache/poi/ss/usermodel/FormulaEvaluator.html#evaluateAll--">evaluateAll</a>,
                                    <a href="../../../../../org/apache/poi/ss/usermodel/FormulaEvaluator.html#notifyDeleteCell-org.apache.poi.ss.usermodel.Cell-">notifyDeleteCell</a>,
                                    <a href="../../../../../org/apache/poi/ss/usermodel/FormulaEvaluator.html#notifySetFormula-org.apache.poi.ss.usermodel.Cell-">notifySetFormula</a>,
                                    <a href="../../../../../org/apache/poi/ss/usermodel/FormulaEvaluator.html#notifyUpdateCell-org.apache.poi.ss.usermodel.Cell-">notifyUpdateCell</a></code>
                            </li>
                        </ul>
                    </li>
                </ul>
            </li>
        </ul>
    </div>
    <div class="details">
        <ul class="blockList">
            <li class="blockList">
                <!-- ============ FIELD DETAIL =========== -->
                <ul class="blockList">
                    <li class="blockList"><a name="field.detail">
                        <!--   -->
                    </a>
                        <h3>Field Detail</h3>
                        <a name="Z:Z_bookEvaluator">
                            <!--   -->
                        </a>
                        <ul class="blockListLast">
                            <li class="blockList">
                                <h4>_bookEvaluator</h4>
                                <pre>protected final&nbsp;<a
                                        href="../../../../../org/apache/poi/ss/formula/WorkbookEvaluator.html"
                                        title="class in org.apache.poi.ss.formula">WorkbookEvaluator</a> _bookEvaluator</pre>
                            </li>
                        </ul>
                    </li>
                </ul>
                <!-- ========= CONSTRUCTOR DETAIL ======== -->
                <ul class="blockList">
                    <li class="blockList"><a name="constructor.detail">
                        <!--   -->
                    </a>
                        <h3>Constructor Detail</h3>
                        <a name="BaseFormulaEvaluator-org.apache.poi.ss.formula.WorkbookEvaluator-">
                            <!--   -->
                        </a>
                        <ul class="blockListLast">
                            <li class="blockList">
                                <h4>BaseFormulaEvaluator</h4>
                                <pre>protected&nbsp;BaseFormulaEvaluator(<a
                                        href="../../../../../org/apache/poi/ss/formula/WorkbookEvaluator.html"
                                        title="class in org.apache.poi.ss.formula">WorkbookEvaluator</a>&nbsp;bookEvaluator)</pre>
                            </li>
                        </ul>
                    </li>
                </ul>
                <!-- ============ METHOD DETAIL ========== -->
                <ul class="blockList">
                    <li class="blockList"><a name="method.detail">
                        <!--   -->
                    </a>
                        <h3>Method Detail</h3>
                        <a name="setupEnvironment-java.lang.String:A-org.apache.poi.ss.formula.BaseFormulaEvaluator:A-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>setupEnvironment</h4>
                                <pre>public static&nbsp;void&nbsp;setupEnvironment(java.lang.String[]&nbsp;workbookNames,
                                    <a href="../../../../../org/apache/poi/ss/formula/BaseFormulaEvaluator.html"
                                       title="class in org.apache.poi.ss.formula">BaseFormulaEvaluator</a>[]&nbsp;evaluators)</pre>
                                <div class="block">Coordinates several formula evaluators together so that formulas that
                                    involve external
                                    references can be evaluated.
                                </div>
                                <dl>
                                    <dt><span class="paramLabel">Parameters:</span></dt>
                                    <dd><code>workbookNames</code> - the simple file names used to identify the
                                        workbooks in formulas
                                        with external links (for example "MyData.xls" as used in a formula
                                        "[MyData.xls]Sheet1!A1")
                                    </dd>
                                    <dd><code>evaluators</code> - all evaluators for the full set of workbooks required
                                        by the formulas.
                                    </dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="setupReferencedWorkbooks-java.util.Map-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>setupReferencedWorkbooks</h4>
                                <pre>public&nbsp;void&nbsp;setupReferencedWorkbooks(java.util.Map&lt;java.lang.String,<a
                                        href="../../../../../org/apache/poi/ss/usermodel/FormulaEvaluator.html"
                                        title="interface in org.apache.poi.ss.usermodel">FormulaEvaluator</a>&gt;&nbsp;evaluators)</pre>
                                <div class="block"><span class="descfrmTypeLabel">Description copied from interface:&nbsp;<code><a
                                        href="../../../../../org/apache/poi/ss/usermodel/FormulaEvaluator.html#setupReferencedWorkbooks-java.util.Map-">FormulaEvaluator</a></code></span>
                                </div>
                                <div class="block">Sets up the Formula Evaluator to be able to reference and resolve
                                    links to other workbooks, eg [Test.xls]Sheet1!A1.
                                    <p>For a workbook referenced as [Test.xls]Sheet1!A1, you should
                                        supply a map containing the key Test.xls (no square brackets),
                                        and an open FormulaEvaluator onto that Workbook.</div>
                                <dl>
                                    <dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
                                    <dd><code><a
                                            href="../../../../../org/apache/poi/ss/usermodel/FormulaEvaluator.html#setupReferencedWorkbooks-java.util.Map-">setupReferencedWorkbooks</a></code>&nbsp;in
                                        interface&nbsp;<code><a
                                                href="../../../../../org/apache/poi/ss/usermodel/FormulaEvaluator.html"
                                                title="interface in org.apache.poi.ss.usermodel">FormulaEvaluator</a></code>
                                    </dd>
                                    <dt><span class="paramLabel">Parameters:</span></dt>
                                    <dd><code>evaluators</code> - Map of workbook names (no square brackets) to an
                                        evaluator on that workbook
                                    </dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="Z:Z_getWorkbookEvaluator--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>_getWorkbookEvaluator</h4>
                                <pre>public&nbsp;<a
                                        href="../../../../../org/apache/poi/ss/formula/WorkbookEvaluator.html"
                                        title="class in org.apache.poi.ss.formula">WorkbookEvaluator</a>&nbsp;_getWorkbookEvaluator()</pre>
                                <div class="block"><span class="descfrmTypeLabel">Description copied from interface:&nbsp;<code><a
                                        href="../../../../../org/apache/poi/ss/formula/WorkbookEvaluatorProvider.html#Z:Z_getWorkbookEvaluator--">WorkbookEvaluatorProvider</a></code></span>
                                </div>
                                <div class="block">Provide the underlying WorkbookEvaluator</div>
                                <dl>
                                    <dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
                                    <dd><code><a
                                            href="../../../../../org/apache/poi/ss/formula/WorkbookEvaluatorProvider.html#Z:Z_getWorkbookEvaluator--">_getWorkbookEvaluator</a></code>&nbsp;in
                                        interface&nbsp;<code><a
                                                href="../../../../../org/apache/poi/ss/formula/WorkbookEvaluatorProvider.html"
                                                title="interface in org.apache.poi.ss.formula">WorkbookEvaluatorProvider</a></code>
                                    </dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="getEvaluationWorkbook--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getEvaluationWorkbook</h4>
                                <pre>protected&nbsp;<a
                                        href="../../../../../org/apache/poi/ss/formula/EvaluationWorkbook.html"
                                        title="interface in org.apache.poi.ss.formula">EvaluationWorkbook</a>&nbsp;getEvaluationWorkbook()</pre>
                                <div class="block">internal use</div>
                                <dl>
                                    <dt><span class="returnLabel">Returns:</span></dt>
                                    <dd>evaluation workbook</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="clearAllCachedResultValues--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>clearAllCachedResultValues</h4>
                                <pre>public&nbsp;void&nbsp;clearAllCachedResultValues()</pre>
                                <div class="block">Should be called whenever there are major changes (e.g. moving
                                    sheets) to input cells
                                    in the evaluated workbook. If performance is not critical, a single call to this
                                    method
                                    may be used instead of many specific calls to the notify~ methods.

                                    Failure to call this method after changing cell values will cause incorrect
                                    behaviour
                                    of the evaluate~ methods of this class
                                </div>
                                <dl>
                                    <dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
                                    <dd><code><a
                                            href="../../../../../org/apache/poi/ss/usermodel/FormulaEvaluator.html#clearAllCachedResultValues--">clearAllCachedResultValues</a></code>&nbsp;in
                                        interface&nbsp;<code><a
                                                href="../../../../../org/apache/poi/ss/usermodel/FormulaEvaluator.html"
                                                title="interface in org.apache.poi.ss.usermodel">FormulaEvaluator</a></code>
                                    </dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="evaluate-org.apache.poi.ss.usermodel.Cell-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>evaluate</h4>
                                <pre>public&nbsp;<a href="../../../../../org/apache/poi/ss/usermodel/CellValue.html"
                                                    title="class in org.apache.poi.ss.usermodel">CellValue</a>&nbsp;evaluate(<a
                                        href="../../../../../org/apache/poi/ss/usermodel/Cell.html"
                                        title="interface in org.apache.poi.ss.usermodel">Cell</a>&nbsp;cell)</pre>
                                <div class="block">If cell contains a formula, the formula is evaluated and returned,
                                    else the CellValue simply copies the appropriate cell value from
                                    the cell and also its cell type. This method should be preferred over
                                    evaluateInCell() when the call should not modify the contents of the
                                    original cell.
                                </div>
                                <dl>
                                    <dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
                                    <dd><code><a
                                            href="../../../../../org/apache/poi/ss/usermodel/FormulaEvaluator.html#evaluate-org.apache.poi.ss.usermodel.Cell-">evaluate</a></code>&nbsp;in
                                        interface&nbsp;<code><a
                                                href="../../../../../org/apache/poi/ss/usermodel/FormulaEvaluator.html"
                                                title="interface in org.apache.poi.ss.usermodel">FormulaEvaluator</a></code>
                                    </dd>
                                    <dt><span class="paramLabel">Parameters:</span></dt>
                                    <dd><code>cell</code> - may be <code>null</code> signifying that the cell is not
                                        present (or blank)
                                    </dd>
                                    <dt><span class="returnLabel">Returns:</span></dt>
                                    <dd><code>null</code> if the supplied cell is <code>null</code> or blank</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="evaluateInCell-org.apache.poi.ss.usermodel.Cell-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>evaluateInCell</h4>
                                <pre>public&nbsp;<a href="../../../../../org/apache/poi/ss/usermodel/Cell.html"
                                                    title="interface in org.apache.poi.ss.usermodel">Cell</a>&nbsp;evaluateInCell(<a
                                        href="../../../../../org/apache/poi/ss/usermodel/Cell.html"
                                        title="interface in org.apache.poi.ss.usermodel">Cell</a>&nbsp;cell)</pre>
                                <div class="block">If cell contains formula, it evaluates the formula, and
                                    puts the formula result back into the cell, in place
                                    of the old formula.
                                    Else if cell does not contain formula, this method leaves
                                    the cell unchanged.
                                    Note that the same instance of <a
                                            href="../../../../../org/apache/poi/ss/usermodel/Cell.html"
                                            title="interface in org.apache.poi.ss.usermodel"><code>Cell</code></a> is
                                    returned to
                                    allow chained calls like:
                                    <pre>
 int evaluatedCellType = evaluator.evaluateInCell(cell).getCellType();
 </pre>
                                    Be aware that your cell value will be changed to hold the
                                    result of the formula. If you simply want the formula
                                    value computed for you, use <a
                                            href="../../../../../org/apache/poi/ss/formula/BaseFormulaEvaluator.html#evaluateFormulaCell-org.apache.poi.ss.usermodel.Cell-"><code>evaluateFormulaCell(Cell)</code></a>}
                                </div>
                                <dl>
                                    <dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
                                    <dd><code><a
                                            href="../../../../../org/apache/poi/ss/usermodel/FormulaEvaluator.html#evaluateInCell-org.apache.poi.ss.usermodel.Cell-">evaluateInCell</a></code>&nbsp;in
                                        interface&nbsp;<code><a
                                                href="../../../../../org/apache/poi/ss/usermodel/FormulaEvaluator.html"
                                                title="interface in org.apache.poi.ss.usermodel">FormulaEvaluator</a></code>
                                    </dd>
                                    <dt><span class="paramLabel">Parameters:</span></dt>
                                    <dd><code>cell</code> - The <a
                                            href="../../../../../org/apache/poi/ss/usermodel/Cell.html"
                                            title="interface in org.apache.poi.ss.usermodel"><code>Cell</code></a> to
                                        evaluate and modify.
                                    </dd>
                                    <dt><span class="returnLabel">Returns:</span></dt>
                                    <dd>the <code>cell</code> that was passed in, allowing for chained calls</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="evaluateFormulaCellValue-org.apache.poi.ss.usermodel.Cell-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>evaluateFormulaCellValue</h4>
                                <pre>protected abstract&nbsp;<a
                                        href="../../../../../org/apache/poi/ss/usermodel/CellValue.html"
                                        title="class in org.apache.poi.ss.usermodel">CellValue</a>&nbsp;evaluateFormulaCellValue(<a
                                        href="../../../../../org/apache/poi/ss/usermodel/Cell.html"
                                        title="interface in org.apache.poi.ss.usermodel">Cell</a>&nbsp;cell)</pre>
                            </li>
                        </ul>
                        <a name="evaluateFormulaCell-org.apache.poi.ss.usermodel.Cell-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>evaluateFormulaCell</h4>
                                <pre>public&nbsp;<a href="../../../../../org/apache/poi/ss/usermodel/CellType.html"
                                                    title="enum in org.apache.poi.ss.usermodel">CellType</a>&nbsp;evaluateFormulaCell(<a
                                        href="../../../../../org/apache/poi/ss/usermodel/Cell.html"
                                        title="interface in org.apache.poi.ss.usermodel">Cell</a>&nbsp;cell)</pre>
                                <div class="block">If cell contains formula, it evaluates the formula,
                                    and saves the result of the formula. The cell
                                    remains as a formula cell.
                                    Else if cell does not contain formula, this method leaves
                                    the cell unchanged.
                                    Note that the type of the formula result is returned,
                                    so you know what kind of value is also stored with
                                    the formula.
                                    <pre>
 CellType evaluatedCellType = evaluator.evaluateFormulaCell(cell);
 </pre>
                                    Be aware that your cell will hold both the formula,
                                    and the result. If you want the cell replaced with
                                    the result of the formula, use <a
                                            href="../../../../../org/apache/poi/ss/formula/BaseFormulaEvaluator.html#evaluate-org.apache.poi.ss.usermodel.Cell-"><code>evaluate(org.apache.poi.ss.usermodel.Cell)</code></a>
                                    }
                                </div>
                                <dl>
                                    <dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
                                    <dd><code><a
                                            href="../../../../../org/apache/poi/ss/usermodel/FormulaEvaluator.html#evaluateFormulaCell-org.apache.poi.ss.usermodel.Cell-">evaluateFormulaCell</a></code>&nbsp;in
                                        interface&nbsp;<code><a
                                                href="../../../../../org/apache/poi/ss/usermodel/FormulaEvaluator.html"
                                                title="interface in org.apache.poi.ss.usermodel">FormulaEvaluator</a></code>
                                    </dd>
                                    <dt><span class="paramLabel">Parameters:</span></dt>
                                    <dd><code>cell</code> - The cell to evaluate</dd>
                                    <dt><span class="returnLabel">Returns:</span></dt>
                                    <dd>The type of the formula result (the cell's type remains as CellType.FORMULA
                                        however)
                                        If cell is not a formula cell, returns <a
                                                href="../../../../../org/apache/poi/ss/usermodel/CellType.html#Z:Z_NONE"><code>CellType._NONE</code></a>
                                        rather than throwing an exception.
                                    </dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="evaluateFormulaCellEnum-org.apache.poi.ss.usermodel.Cell-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>evaluateFormulaCellEnum</h4>
                                <pre>@Deprecated
 <a href="../../../../../org/apache/poi/util/Removal.html" title="annotation in org.apache.poi.util">@Removal</a>(<a
                                            href="../../../../../org/apache/poi/util/Removal.html#version--">version</a>="4.2")
public&nbsp;<a href="../../../../../org/apache/poi/ss/usermodel/CellType.html"
               title="enum in org.apache.poi.ss.usermodel">CellType</a>&nbsp;evaluateFormulaCellEnum(<a
                                            href="../../../../../org/apache/poi/ss/usermodel/Cell.html"
                                            title="interface in org.apache.poi.ss.usermodel">Cell</a>&nbsp;cell)</pre>
                                <div class="block"><span class="deprecatedLabel">Deprecated.</span>&nbsp;<span
                                        class="deprecationComment">use <code>evaluateFormulaCell(cell)</code> instead</span>
                                </div>
                                <div class="block">If cell contains formula, it evaluates the formula,
                                    and saves the result of the formula. The cell
                                    remains as a formula cell.
                                    Else if cell does not contain formula, this method leaves
                                    the cell unchanged.
                                    Note that the type of the formula result is returned,
                                    so you know what kind of value is also stored with
                                    the formula.
                                    <pre>
 CellType evaluatedCellType = evaluator.evaluateFormulaCell(cell);
 </pre>
                                    Be aware that your cell will hold both the formula,
                                    and the result. If you want the cell replaced with
                                    the result of the formula, use <a
                                            href="../../../../../org/apache/poi/ss/formula/BaseFormulaEvaluator.html#evaluate-org.apache.poi.ss.usermodel.Cell-"><code>evaluate(org.apache.poi.ss.usermodel.Cell)</code></a>
                                    }
                                </div>
                                <dl>
                                    <dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
                                    <dd><code><a
                                            href="../../../../../org/apache/poi/ss/usermodel/FormulaEvaluator.html#evaluateFormulaCellEnum-org.apache.poi.ss.usermodel.Cell-">evaluateFormulaCellEnum</a></code>&nbsp;in
                                        interface&nbsp;<code><a
                                                href="../../../../../org/apache/poi/ss/usermodel/FormulaEvaluator.html"
                                                title="interface in org.apache.poi.ss.usermodel">FormulaEvaluator</a></code>
                                    </dd>
                                    <dt><span class="paramLabel">Parameters:</span></dt>
                                    <dd><code>cell</code> - The cell to evaluate</dd>
                                    <dt><span class="returnLabel">Returns:</span></dt>
                                    <dd>The type of the formula result (the cell's type remains as CellType.FORMULA
                                        however)
                                        If cell is not a formula cell, returns <a
                                                href="../../../../../org/apache/poi/ss/usermodel/CellType.html#Z:Z_NONE"><code>CellType._NONE</code></a>
                                        rather than throwing an exception.
                                    </dd>
                                    <dt><span class="simpleTagLabel">Since:</span></dt>
                                    <dd>POI 3.15 beta 3</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="setCellType-org.apache.poi.ss.usermodel.Cell-org.apache.poi.ss.usermodel.CellValue-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>setCellType</h4>
                                <pre>protected&nbsp;void&nbsp;setCellType(<a
                                        href="../../../../../org/apache/poi/ss/usermodel/Cell.html"
                                        title="interface in org.apache.poi.ss.usermodel">Cell</a>&nbsp;cell,
                           <a href="../../../../../org/apache/poi/ss/usermodel/CellValue.html"
                              title="class in org.apache.poi.ss.usermodel">CellValue</a>&nbsp;cv)</pre>
                                <div class="block">set the cell type</div>
                                <dl>
                                    <dt><span class="paramLabel">Parameters:</span></dt>
                                    <dd><code>cell</code> -</dd>
                                    <dd><code>cv</code> -</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="setCellType-org.apache.poi.ss.usermodel.Cell-org.apache.poi.ss.usermodel.CellType-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>setCellType</h4>
                                <pre>protected&nbsp;void&nbsp;setCellType(<a
                                        href="../../../../../org/apache/poi/ss/usermodel/Cell.html"
                                        title="interface in org.apache.poi.ss.usermodel">Cell</a>&nbsp;cell,
                           <a href="../../../../../org/apache/poi/ss/usermodel/CellType.html"
                              title="enum in org.apache.poi.ss.usermodel">CellType</a>&nbsp;cellType)</pre>
                                <div class="block">Override if a different variation is needed, e.g. passing the
                                    evaluator to the cell method
                                </div>
                                <dl>
                                    <dt><span class="paramLabel">Parameters:</span></dt>
                                    <dd><code>cell</code> -</dd>
                                    <dd><code>cellType</code> -</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="createRichTextString-java.lang.String-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>createRichTextString</h4>
                                <pre>protected abstract&nbsp;<a
                                        href="../../../../../org/apache/poi/ss/usermodel/RichTextString.html"
                                        title="interface in org.apache.poi.ss.usermodel">RichTextString</a>&nbsp;createRichTextString(java.lang.String&nbsp;str)</pre>
                            </li>
                        </ul>
                        <a name="setCellValue-org.apache.poi.ss.usermodel.Cell-org.apache.poi.ss.usermodel.CellValue-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>setCellValue</h4>
                                <pre>protected&nbsp;void&nbsp;setCellValue(<a
                                        href="../../../../../org/apache/poi/ss/usermodel/Cell.html"
                                        title="interface in org.apache.poi.ss.usermodel">Cell</a>&nbsp;cell,
                            <a href="../../../../../org/apache/poi/ss/usermodel/CellValue.html"
                               title="class in org.apache.poi.ss.usermodel">CellValue</a>&nbsp;cv)</pre>
                            </li>
                        </ul>
                        <a name="evaluateAllFormulaCells-org.apache.poi.ss.usermodel.Workbook-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>evaluateAllFormulaCells</h4>
                                <pre>public static&nbsp;void&nbsp;evaluateAllFormulaCells(<a
                                        href="../../../../../org/apache/poi/ss/usermodel/Workbook.html"
                                        title="interface in org.apache.poi.ss.usermodel">Workbook</a>&nbsp;wb)</pre>
                                <div class="block">Loops over all cells in all sheets of the supplied
                                    workbook.
                                    For cells that contain formulas, their formulas are
                                    evaluated, and the results are saved. These cells
                                    remain as formula cells.
                                    For cells that do not contain formulas, no changes
                                    are made.
                                    This is a helpful wrapper around looping over all
                                    cells, and calling evaluateFormulaCell on each one.
                                </div>
                            </li>
                        </ul>
                        <a name="evaluateAllFormulaCells-org.apache.poi.ss.usermodel.Workbook-org.apache.poi.ss.usermodel.FormulaEvaluator-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>evaluateAllFormulaCells</h4>
                                <pre>protected static&nbsp;void&nbsp;evaluateAllFormulaCells(<a
                                        href="../../../../../org/apache/poi/ss/usermodel/Workbook.html"
                                        title="interface in org.apache.poi.ss.usermodel">Workbook</a>&nbsp;wb,
                                              <a href="../../../../../org/apache/poi/ss/usermodel/FormulaEvaluator.html"
                                                 title="interface in org.apache.poi.ss.usermodel">FormulaEvaluator</a>&nbsp;evaluator)</pre>
                            </li>
                        </ul>
                        <a name="setIgnoreMissingWorkbooks-boolean-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>setIgnoreMissingWorkbooks</h4>
                                <pre>public&nbsp;void&nbsp;setIgnoreMissingWorkbooks(boolean&nbsp;ignore)</pre>
                                <div class="block">Whether to ignore missing references to external workbooks and
                                    use cached formula results in the main workbook instead.
                                    <p>
                                        In some cases external workbooks referenced by formulas in the main workbook are
                                        not available.
                                        With this method you can control how POI handles such missing references:
                                    <ul>
                                        <li>by default ignoreMissingWorkbooks=false and POI throws
                                            <a href="../../../../../org/apache/poi/ss/formula/CollaboratingWorkbooksEnvironment.WorkbookNotFoundException.html"
                                               title="class in org.apache.poi.ss.formula"><code>CollaboratingWorkbooksEnvironment.WorkbookNotFoundException</code></a>
                                            if an external reference cannot be resolved
                                        </li>
                                        <li>if ignoreMissingWorkbooks=true then POI uses cached formula result
                                            that already exists in the main workbook
                                        </li>
                                    </ul>
                                </div>
                                <dl>
                                    <dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
                                    <dd><code><a
                                            href="../../../../../org/apache/poi/ss/usermodel/FormulaEvaluator.html#setIgnoreMissingWorkbooks-boolean-">setIgnoreMissingWorkbooks</a></code>&nbsp;in
                                        interface&nbsp;<code><a
                                                href="../../../../../org/apache/poi/ss/usermodel/FormulaEvaluator.html"
                                                title="interface in org.apache.poi.ss.usermodel">FormulaEvaluator</a></code>
                                    </dd>
                                    <dt><span class="paramLabel">Parameters:</span></dt>
                                    <dd><code>ignore</code> - whether to ignore missing references to external workbooks
                                    </dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="setDebugEvaluationOutputForNextEval-boolean-">
                            <!--   -->
                        </a>
                        <ul class="blockListLast">
                            <li class="blockList">
                                <h4>setDebugEvaluationOutputForNextEval</h4>
                                <pre>public&nbsp;void&nbsp;setDebugEvaluationOutputForNextEval(boolean&nbsp;value)</pre>
                                <div class="block">Perform detailed output of formula evaluation for next evaluation
                                    only?
                                    Is for developer use only (also developers using POI for their XLS files).
                                    Log-Level WARN is for basic info, INFO for detailed information. These quite
                                    high levels are used because you have to explicitly enable this specific logging.
                                </div>
                                <dl>
                                    <dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
                                    <dd><code><a
                                            href="../../../../../org/apache/poi/ss/usermodel/FormulaEvaluator.html#setDebugEvaluationOutputForNextEval-boolean-">setDebugEvaluationOutputForNextEval</a></code>&nbsp;in
                                        interface&nbsp;<code><a
                                                href="../../../../../org/apache/poi/ss/usermodel/FormulaEvaluator.html"
                                                title="interface in org.apache.poi.ss.usermodel">FormulaEvaluator</a></code>
                                    </dd>
                                    <dt><span class="paramLabel">Parameters:</span></dt>
                                    <dd><code>value</code> - whether to perform detailed output</dd>
                                </dl>
                            </li>
                        </ul>
                    </li>
                </ul>
            </li>
        </ul>
    </div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
    <!--   -->
</a>
    <div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
    <a name="navbar.bottom.firstrow">
        <!--   -->
    </a>
    <ul class="navList" title="Navigation">
        <li><a href="../../../../../overview-summary.html">Overview</a></li>
        <li><a href="package-summary.html">Package</a></li>
        <li class="navBarCell1Rev">Class</li>
        <li><a href="class-use/BaseFormulaEvaluator.html">Use</a></li>
        <li><a href="package-tree.html">Tree</a></li>
        <li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
        <li><a href="../../../../../index-all.html">Index</a></li>
        <li><a href="../../../../../help-doc.html">Help</a></li>
    </ul>
</div>
<div class="subNav">
    <ul class="navList">
        <li>Prev&nbsp;Class</li>
        <li><a href="../../../../../org/apache/poi/ss/formula/CacheAreaEval.html"
               title="class in org.apache.poi.ss.formula"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
    </ul>
    <ul class="navList">
        <li><a href="../../../../../index.html?org/apache/poi/ss/formula/BaseFormulaEvaluator.html"
               target="_top">Frames</a></li>
        <li><a href="BaseFormulaEvaluator.html" target="_top">No&nbsp;Frames</a></li>
    </ul>
    <ul class="navList" id="allclasses_navbar_bottom">
        <li><a href="../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
    </ul>
    <div>
        <script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->

        </script>
    </div>
    <div>
        <ul class="subNavList">
            <li>Summary:&nbsp;</li>
            <li>Nested&nbsp;|&nbsp;</li>
            <li><a href="#field.summary">Field</a>&nbsp;|&nbsp;</li>
            <li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
            <li><a href="#method.summary">Method</a></li>
        </ul>
        <ul class="subNavList">
            <li>Detail:&nbsp;</li>
            <li><a href="#field.detail">Field</a>&nbsp;|&nbsp;</li>
            <li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
            <li><a href="#method.detail">Method</a></li>
        </ul>
    </div>
    <a name="skip.navbar.bottom">
        <!--   -->
    </a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
<p class="legalCopy">
    <small>
        <i>Copyright 2018 The Apache Software Foundation or
            its licensors, as applicable.</i>
    </small>
</p>
</body>
</html>
